All pages
Powered by GitBook
1 of 1

Loading...

Activate seller

Activates a previously deactivated or disabled seller.

When activated, the status changes from Offline or Disabled to Active.

post

Activate seller. Changes seller state to Active. Available for Operations account with platform account management permissions. Returns the updated seller object.

Path parameters
idstringRequired

Seller identifier.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/accounts/sellers/{id}/activate
POST /public/v1/accounts/sellers/{id}/activate HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "SEL-7295-4834",
  "revision": 2,
  "name": "SoftwareOne AG",
  "externalId": "SWO_CH",
  "status": "Active",
  "icon": null,
  "currencies": [
    "USD"
  ],
  "audit": {
    "created": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "updated": {
      "at": "2024-02-02T10:00:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "activated": {
      "at": "2024-02-02T10:00:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}

Activate seller